Cyberduck Mountain Duck CLI

#9817 closed defect (fixed)

Freeze of application when attempting to reconnect

Reported by: Gaggo Owned by: yla
Priority: normal Milestone: 5.3.4
Component: core Version: Nightly Build
Severity: critical Keywords: crash ftp reconnection
Cc: Architecture: Intel
Platform: Windows 10

Description

Some minutes after the opening of a remote file on an FTP server, it may auto-disconnect for inactivity. When trying to save that file after editing it, Cyberduck tries to reconnect to the server but the entire UI freezes and the program does not respond anymore.

It says nothing in the logs and doesn't create a crash report. It simply stops working.

Attachments (1)

Capture.PNG (6.9 KB) - added by ArtskydJ on Jan 30, 2017 at 10:51:29 PM.

Download all attachments as: .zip

Change History (10)

comment:1 Changed on Jan 20, 2017 at 6:31:15 PM by dkocher

  • Milestone set to 6.0
  • Owner set to yla

comment:2 Changed on Jan 23, 2017 at 8:45:04 AM by Gaggo

The freeze occurs even when changing server, regardless of the auto-disconnection. I believe that it crashes whenever it's trying to make a second connection to anyone.

comment:3 Changed on Jan 30, 2017 at 12:52:36 PM by dkocher

  • Milestone changed from 6.0 to 5.3.4
  • Summary changed from Crash when saving a file after FTP disconnection to Freeze of application when attempting to reconnect

comment:4 Changed on Jan 30, 2017 at 3:49:39 PM by dkocher

Please update to the latest snapshot build available and let me know if you can still reproduce this.

comment:5 Changed on Jan 30, 2017 at 3:50:17 PM by dkocher

#9822 closed as duplicate.

comment:6 Changed on Jan 30, 2017 at 3:50:52 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

In r38016.

Changed on Jan 30, 2017 at 10:51:29 PM by ArtskydJ

comment:7 Changed on Jan 30, 2017 at 10:54:16 PM by ArtskydJ

  • Resolution fixed deleted
  • Status changed from closed to reopened

I am able to replicate the issue on Cyberduck 6.0.0 (23322, latest snapshot, Windows 7 Intel).

Steps to replicate:

  1. Open Cyberduck
  2. Double click the bookmark
  3. Wait until the site has loaded
  4. Click Bookmark > [choose any bookmark]
  5. Cyberduck freezes (see screenshot below)

)

comment:8 Changed on Jan 31, 2017 at 1:15:46 PM by dkocher

Please attach the file cyberduck.log in the application support directory.

comment:9 Changed on Jan 31, 2017 at 1:52:34 PM by ArtskydJ

  • Resolution set to fixed
  • Status changed from reopened to closed

It just started working for me in 6.0.0. Maybe I needed to restart my computer after installing the latest version?

Sorry about that!

Note: See TracTickets for help on using tickets.
swiss made software